Subject: [bug#56766] [PATCH] gnu: exiv2: Fix test failure on ppc64-le

From: Marcel van der Boom <[email-masked]>
Date: Tue, 26 Jul 2022 21:34:00 +0200

[Maxime Devos]

> Also, somehow this version of the package builds on Debian sid, 
> so maybe Debian knows more, though I'm not finding anything 
> relevant in the Debian package myself.

true, and I quickly ran a debian:sid container to see what they 
did, but they chose the same solution. That is, the exiv2 binary 
from their package returns the error as well (without the 
exception raising).  So, I guess they dont run the test suite then 
as there's no change in their packaging.

It gave me enough confidence though to use it locally and try to 
package it up in guix the same way. But I agree it's rather 
unsatisfactory.

marcel